Bug 50233

Summary: multimedia/mpeg4ip is broken on HEAD
Product: Ports & Packages Reporter: David Yeske <dyeske>
Component: Individual Port(s)Assignee: Mario Sergio Fujikawa Ferreira <lioux>
Status: Closed FIXED    
Severity: Affects Only Me CC: lioux
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description David Yeske 2003-03-24 05:50:15 UTC
one of these files corrects libgnugetopt detection, and the other one creates a workaround to
prevent conflicts with /usr/include/getopt.h

Fix: http://pigseye.kennesaw.edu/~dyeske/freebsd/mpeg4ip.tgz



__________________________________________________
Do you Yahoo!?
Yahoo! Platinum - Watch CBS' NCAA March Madness, live on your desktop!
http://platinum.yahoo.com--fEGB1ZR8UG9laj65fWjqm1Xbs03P7IazKjbEodmZlI5JWJg9
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- include/mpeg4ip_getopt.h.orig       Tue Oct 15 13:12:27 2002
+++ include/mpeg4ip_getopt.h    Mon Feb 24 05:23:50 2003
@@ -11,6 +11,9 @@
 #endif
 
 #ifdef HAVE_GETOPT_H
+#ifdef __FreeBSD__
+#define __GNU_LIBRARY__
+#endif
 #include <getopt.h>
 #endif
 
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/multimedia/mpeg4ip/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- Makefile    23 Feb 2003 19:58:27 -0000      1.10
+++ Makefile    24 Feb 2003 12:37:43 -0000
@@ -33,6 +33,9 @@
                --with-gtk-prefix=${X11BASE} \
                --program-transform-name=''
 
+CONFIGURE_ENV= CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include" \
+               LIBS="${LIBS} -L${LOCALBASE}/lib"
+
 SDL_CONFIG?=   ${LOCALBASE}/bin/sdl11-config
 
 DOC_FILES=     COPYING README doc/MPEG4IP_Guide.pdf
How-To-Repeat: attempt to compile on HEAD
mp4dump.cpp: In function `int main(int, char**)':
mp4dump.cpp:43: `getopt_long_only' undeclared (first use this function)
Comment 1 Tilman Keskinoz freebsd_committer 2003-04-05 20:01:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Over to maintainer
Comment 2 Tilman Keskinoz freebsd_committer 2003-05-01 00:00:48 UTC
State Changed
From-To: open->closed

committed, thanks
Comment 3 Tilman Keskinoz freebsd_committer 2003-05-01 00:20:34 UTC
State Changed
From-To: closed->open

Sorry, my fault...Submitted successfully confused me by talking about a dozen 
PRs at once
Comment 4 Tilman Keskinoz freebsd_committer 2003-05-01 17:42:35 UTC
State Changed
From-To: open->feedback

Okay, i tried to merge your patch into lioux recent changes, but it looks like 
an sdl-config --libs is missing somewhere. 

bin/sh ../../libtool --mode=link c++ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall  -Wmissing-prototypes -Wmissing-declarations -Wno-char-subscripts -Woverloaded-virtual -Wno-unknown-pragmas -Wno-deprecated -DPLAYER_PLUGIN_DIR="/usr/local/lib/mp4player_plugin" -O -pipe -march=k6 -DUSE_MMX -DMPEG4IP   -o mp4player  main.o -lm libmp4player.la libmp4syncbase.la libmp4syncsdl.la libmp4syncbase.la libmp4playerutils.la -L/usr/local/lib -Wl,-rpath,/usr/local/lib -lSDL-1.1 -lc_r /usr/local/lib/libSDLmain-1.1.a -lgnugetopt  -L/usr/local/lib 
c++ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Wmissing-prototypes -Wmissing-declarations -Wno-char-subscripts -Woverloaded-virtual -Wno-unknown-pragmas -Wno-deprecated -DPLAYER_PLUGIN_DIR="/usr/local/lib/mp4player_plugin" -O -pipe -march=k6 -DUSE_MMX -DMPEG4IP -o .libs/mp4player main.o -Wl,-rpath -Wl,/usr/local/lib  -lm ./.libs/libmp4player.a -L/usr/local/lib /usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/lib/sdp/.libs/libsdp.a /usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/player/lib/mp4util/.libs/libmp4util.so /usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/player/lib/libhttp/.libs/libhttp.a /usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/lib/config_file/.libs/libconfig_file.a /usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/lib/msg_queue/.libs/libmsg_queue.a /usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/lib/mp4av/.libs/libmp4av.so /usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/lib/mp4/.libs/libmp4.a /usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/lib/mp4v2/.libs/libmp4v2.so ./.libs/libmp4syncsdl.a ./.libs/libmp4syncbase.a ./.libs/libmp4playerutils.a -lSDL-1.1 /usr/local/lib/libSDLmain-1.1.a -lgnugetopt -Wl,--rpath -Wl,/usr/local/lib 
/usr/local/lib/libSDL-1.1.so: undefined reference to `pthread_create' 
/usr/local/lib/libSDL-1.1.so: undefined reference to `pthread_attr_init' 
/usr/local/lib/libSDL-1.1.so: undefined reference to `pthread_exit' 
/usr/local/lib/libSDL-1.1.so: undefined reference to `pthread_cancel' 
/usr/local/lib/libSDL-1.1.so: undefined reference to `pthread_setcanceltype' 
/usr/local/lib/libSDL-1.1.so: undefined reference to `pthread_attr_setdetachstate' 
/usr/local/lib/libSDL-1.1.so: undefined reference to `pthread_join' 
/usr/local/lib/libSDL-1.1.so: undefined reference to `pthread_cond_timedwait' 
gmake[4]: *** [mp4player] Error 1 
gmake[4]: Leaving directory `/usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/player/src' 
gmake[3]: *** [all-recursive] Error 1 
gmake[3]: Leaving directory `/usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/player/src' 
gmake[2]: *** [all-recursive] Error 1 
gmake[2]: Leaving directory `/usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8/player' 
gmake[1]: *** [all-recursive] Error 1 
gmake[1]: Leaving directory `/usr/home/tilman/ports/mpeg4ip/work/mpeg4ip-0.9.8' 
gmake: *** [all] Error 2 
*** Error code 2
Comment 5 David Yeske 2003-05-07 04:35:43 UTC
this is the updated patch, this compiles and links on stable and current
http://futurebsd.sourceforge.net/freebsd/ports/mpeg4ip.tgz

for some reason the -lc_r magically gets stripped away by autoconf or libtool or something else on
current, adding the quotes around it seems to fix it...



__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com
Comment 6 Mario Sergio Fujikawa Ferreira freebsd_committer 2003-05-15 05:53:52 UTC
State Changed
From-To: feedback->closed

Committed, thanks!